Maintainer dashboard

Navigation: Todo list / Versions / Bugs and QA Checks / Derivatives

The maintainer dashboard exposes information about teams or maintainers' packages. It intends to help answering the question I have a few hours for Debian, what should I do now?. Fill in one or more email addresses in the form below to check it out; for example here is the accessibility team todo list.

  ignore:
  ignore:
  ignore:
 
 
Format
Filters

Todo list

type source description hide
RC bug ruby-psych RC bug needs fixing: #915340: ruby-psych FTBFS: error: incompatible types: Character cannot be converted to ScalarStyle hide
RC bug tweepy RC bug needs fixing: #915756: tweepy FTBFS with python-pip 18.1 hide
RC bug ruby-nio4r RC bug needs fixing: #912245: ruby-nio4r FTBFS: SSL_CTX_use_certificate: ee key too small hide
RC bug pychef RC bug needs fixing: #896351: python-chef: chef fails to import hide
RC bug jruby-openssl RC bug needs fixing: #912545: jruby-openssl: FTBFS with Java 11 due to javax.annotation removal hide
RC bug jruby RC bug needs fixing: #891449: jruby: system() does not work on arm64 hide
RC bug jruby RC bug needs fixing: #893244: jruby FTBFS with openjdk-9 hide
security issue jruby Open security issue: CVE-2018-1000079 for buster (medium** urgency) hide
security issue tweepy Open security issue: CVE-2012-5825 for jessie (low urgency) hide
testing migration pychef Migration: Not in testing for 206 days hide
testing migration ruby-ridley Migration: Not in testing for 39 days hide
vcs ruby-celluloid-io New version: ready for upload hide
new upstream felix-gogo-command New version available: 1.0.2 hide
new upstream felix-gogo-runtime New version available: 1.1.0 hide
new upstream invokebinder New version available: 1.11 hide
new upstream jnr-constants New version available: 0.9.12 hide
new upstream jnr-enxio New version available: 0.19 hide
new upstream jnr-ffi New version available: 2.1.9 hide
new upstream jruby New version available: 9.2.5.0 hide
new upstream jruby-openssl New version available: 0.10.1 hide
uscan error libturpial debian/watch: uscan returned an error: In watchfile debian/watch, reading webpage http://files.turpial.org.ve/sources/stable/ failed: 500 Can't connect to files.turpial.org.ve:80 hide
new upstream ruby-ast New version available: 2.4.0 hide
new upstream ruby-jar-dependencies New version available: 0.4.0 hide
new upstream ruby-minitest-excludes New version available: 2.0.1 hide
new upstream ruby-psych New version available: 3.0.3 hide
new upstream ruby-whitequark-parser New version available: 2.5.3.0 hide
new upstream truffle New version available: 0.7 hide
new upstream truffle-dsl-processor New version available: 0.8 hide
new upstream ruby-docker-api New version available: 1.34.2 hide
new upstream ruby-rubocop-rspec New version available: 1.30.1 hide
new upstream ruby-buff-ruby-engine New version available: 1.0.0 hide
new upstream jnr-posix New version available: 3.0.47 hide
new upstream rubocop New version available: 0.61.1 hide
new upstream rome New version available: 1.12.0 hide
new upstream ruby-octokit New version available: 4.13.0 hide
new upstream mojarra New version available: 2.4.0 hide
new upstream ruby-celluloid-io New version available: 0.17.3 hide
new upstream ruby-nio4r New version available: 2.3.1 hide
new upstream jnr-unixsocket New version available: 0.21 hide
new upstream tweepy New version available: 3.7.0 hide
new upstream unsafe-mock New version available: 8.92.1 hide
new upstream ruby-fog-aws New version available: 3.3.0 hide
new upstream ruby-buff-shell-out New version available: 1.1.0 hide
testing auto-removal ruby-celluloid-io Testing auto-removal: on 2018-12-29 (bug: ) hide
testing auto-removal ruby-nio4r Testing auto-removal: on 2018-12-29 (bug: #912245) hide

Show all todos

Versions

source jessie stretch buster sid experimental vcs upstream mentors
cglib3 3.1+dfsg-1
bpo: 3.1+dfsg-1  
3.1+dfsg-1        
dirgra   bpo: 0.3-1~bpo9+1   0.3-1     0.3-1   0.3    
felix-gogo-command 0.12.0-2   0.14.0-2     0.14.0-2   1.0.2    
felix-gogo-runtime 0.10.0-2   0.16.2-1     0.16.2-1   1.1.0    
geronimo-commonj-spec 1.1.1-3     1.1.1-4      
groovy2 2.2.2+dfsg-3+deb8u2
bpo: 2.4.5-1~bpo8+1  
     
headius-options   1.2-1   1.4-2     1.4-2   1.4    
invokebinder   1.5-1
bpo: 1.7-2~bpo9+1  
1.7-2     1.7-2   1.11    
jakarta-taglibs-standard 1.1.2-3
bpo: 1.1.2-4~bpo8+1  
     
jitescript   bpo: 0.4.1-2~bpo9+1   0.4.1-3     0.4.1-3   0.4.1    
jnr-constants   0.8.6-8
bpo: 0.9.9-2~bpo9+1  
0.9.9-2     0.9.9-2   0.9.12    
jnr-enxio   0.9-1   0.16-2     0.16-2   0.19    
jnr-ffi   1.0.10-5
bpo: 2.1.5-2~bpo9+1  
2.1.7-1     2.1.7-1   2.1.9    
jnr-posix   3.0.12-2
bpo: 3.0.37-2~bpo9+1  
3.0.45-2     3.0.45-2   3.0.47    
jnr-unixsocket   0.8-1
bpo: 0.18-2~bpo9+1  
0.18-3     0.18-3   0.21    
jruby 1.5.6-9   1.7.26-1+deb9u1
sec: 1.7.26-1+deb9u1
bpo: 9.1.13.0-1~bpo9+1  
9.1.13.0-1     9.1.13.0-1   9.2.5.0    
jruby-maven-plugins   1.1.5+ds1-1   1.1.5+ds1-2     1.1.5+ds1-2   1.1.5    
jruby-openssl   0.9.11-2
bpo: 0.9.20-1~bpo9+1  
0.9.21-1     0.9.21-1   0.10.1    
libbytelist-java 1.0.6-1   1.0.12-3
bpo: 1.0.15-1~bpo9+1  
1.0.15-1     1.0.15-1   1.0.15    
libgpars-groovy-java 0.10-1   1.2.1-7   1.2.1-10     1.2.1-10   1.2.1    
libjsr166y-java 0.1.20080107-2   1.7.0-2     1.7.0-3      
libjsr305-java 0.1~+svn49-4   0.1~+svn49-10     0.1~+svn49-11      
libturpial 1.7.0-3   1.7.0-4     1.7.0-4   error    
maven-compiler-plugin-2.5   2.5.1-4        
maven-shared-incremental   1.1-1   1.1-3     1.1-4   1.1    
maven-site-plugin 2.1-3   2.1-4   3.6-3     3.6-3   3.6    
maven-source-plugin 2.2.1-1   2.4-1   3.0.1-2     3.0.1-2   3.0.1    
modulator   1.0-3     1.0-3   1.0    
mojarra 2.2.8-1   2.2.8-3   2.2.8-5     2.2.8-5   2.4.0    
multiverse-core 0.7.0-3   0.7.0-4     0.7.0-5   0.7.0    
osgi-core 4.3.1-1
bpo: 6.0.0-1~bpo8+1  
6.0.0-1     6.0.0-1   6.0.0    
plexus-compiler-1.0   1.9.2-6        
pychef 0.2.3-2     0.2.3-3     0.2.3-3   0.2.3    
rome 1.0-6   1.0-7     1.0-7   1.12.0    
rubocop   bpo: 0.49.1+dfsg-1~bpo9+1   0.52.1+dfsg-1     0.52.1+dfsg-1   0.61.1    
ruby-ast   bpo: 2.3.0-1~bpo9+1   2.3.0-1     2.3.0-1   2.4.0    
ruby-buff-extensions   1.0.0-3   2.0.0-1     2.0.0-2   2.0.0    
ruby-buff-ignore   1.1.1-2   1.2.0-1     1.2.0-2   1.2.0    
ruby-buff-ruby-engine   0.1.0-2     0.1.0-3   1.0.0    
ruby-buff-shell-out   0.2.0-1     0.2.0-2   1.1.0    
ruby-celluloid-io 0.15.0-2   0.16.2-5     0.17.3-1   0.17.3    
ruby-coveralls 0.7.0-1   0.7.0-2   0.8.22-1     0.8.22-1   0.8.22    
ruby-docker-api 1.10.10-1   1.22.2-1     1.22.2-1   1.34.2    
ruby-fog-aws   0.12.0-1
bpo: 2.0.1-1~bpo9+1  
2.0.1-1     2.0.1-1   3.3.0    
ruby-jar-dependencies   bpo: 0.3.10-2~bpo9+1   0.3.10-2     0.3.10-2   0.4.0    
ruby-json-spec 1.1.2-1   1.1.5-1     1.1.5-1   1.1.5    
ruby-maven-libs   3.3.9+ds-1     3.3.9+ds-1   3.3.9    
ruby-minitest-excludes   2.0.0-1     2.0.0-1   2.0.1    
ruby-nio4r 1.0.0-1
bpo: 1.2.1-1~bpo8+1  
1.2.1-1   2.3.0-1   2.3.1    
ruby-octokit 3.3.0-1   4.3.0-1
bpo: 4.8.0-1~bpo9+1  
4.12.0-1     4.12.0-1   4.13.0    
ruby-psych   bpo: 2.2.4-6~bpo9+1   3.0.3~pre1-2     3.0.3~pre1-2   3.0.3    
ruby-ridley   4.4.3-2     5.1.1-1     5.1.1-1   5.1.1    
ruby-rubocop-rspec   1.22.2-1     1.22.2-1   1.30.1    
ruby-sawyer 0.5.4-1   0.7.0-1
bpo: 0.8.1-3~bpo9+1  
0.8.1-3     0.8.1-3   0.8.1    
ruby-semverse 1.1.0-2   1.2.1-2   2.0.0-1     2.0.0-1   2.0.0    
ruby-varia-model   0.5.0-1   0.6.0-1     0.6.0-1   0.6.0    
ruby-whitequark-parser   bpo: 2.3.3.1-1~bpo9+1   2.4.0.2-1     2.4.0.2-2   2.5.3.0    
ruby-wirble 0.1.3-4   0.1.3-5     0.1.3-5   0.1.3    
samizdat 0.7.0-1   0.7.0-2     0.7.0-2   0.7.0    
spork 0.9.2-2        
tomcat7 7.0.56-3+deb8u11
sec: 7.0.56-3+really7.0.91-1
bpo: 7.0.75-1~bpo8+1  
7.0.75-1        
truffle   0.6-2     0.6-2   0.7    
truffle-dsl-processor   0.6-2     0.6-2   0.8    
turpial 3.0+dfsg-1        
tweepy 2.3-1   3.5.0-1   3.6.0-1     3.6.0-1   3.7.0    
unsafe-fences   bpo: 1.0-1~bpo9+1   1.0-1     1.0-1   1.0    
unsafe-mock   8.0-1   8.0-3     8.0-3   8.92.1    
yecht 0.0.2-2   1.1-2   1.1-3     1.1-3   1.1    

Bugs, security issues and Quality Assurance Checks

source bugs lintian (un)reproducible piuparts ci security URLs
(duck)
all RC patch pending E W I P X O sid/amd64 jes str sid
cglib3 0 bugs graph                      
dirgra 0 bugs graph       2 2 3 1              
felix-gogo-command 0 bugs graph       3 4 4 1             fail
felix-gogo-runtime 0 bugs graph       3 4 3 1             fail
geronimo-commonj-spec 1 bugs graph 1 1 4 5 7 1             fail
groovy2 1 bugs graph                
headius-options 0 bugs graph       2 2 3 1              
invokebinder 0 bugs graph       2 3 3 1              
jakarta-taglibs-standard 0 bugs graph                      
jitescript 0 bugs graph       2 2 2 1 buster/armhf:FTBFS              
jnr-constants 0 bugs graph       2 3 3 1              
jnr-enxio 0 bugs graph       2 2 3 1              
jnr-ffi 0 bugs graph       2 2 3 1 buster/arm64:FTBFS buster/armhf:FTBFS              
jnr-posix 0 bugs graph       1 1 1              
jnr-unixsocket 0 bugs graph       2 2 3 1              
jruby 7 bugs graph 2 14 21 11 2 2 buster/amd64:FTBFS buster/arm64:FTBFS buster/armhf:FTBFS buster/i386:FTBFS       5   7  
jruby-maven-plugins 0 bugs graph       2 5 3 1              
jruby-openssl 1 bugs graph 1 2 2 2 1 buster/amd64:FTBFS buster/arm64:FTBFS buster/armhf:FTBFS buster/i386:FTBFS              
libbytelist-java 0 bugs graph       2 3 3 1              
libgpars-groovy-java 0 bugs graph       1 1 2 3 1 buster/amd64:FTBR buster/arm64:FTBR buster/armhf:FTBR buster/i386:FTBR              
libjsr166y-java 1 bugs graph 1 3 3 3 6             fail
libjsr305-java 1 bugs graph 1 5 3 14 1              
libturpial 1 bugs graph 4 3 2 1             fail
maven-compiler-plugin-2.5 0 bugs graph                      
maven-shared-incremental 1 bugs graph 1 2 2 3 1 buster/armhf:FTBR              
maven-site-plugin 0 bugs graph       2 4 10 1              
maven-source-plugin 0 bugs graph       3 4 4 1              
modulator 0 bugs graph       2 1 1 1              
mojarra 0 bugs graph       1 2 4 2 1       1 1 1  
multiverse-core 1 bugs graph 1 4 4 4 1             fail
osgi-core 1 bugs graph 3 6 3 1             fail
plexus-compiler-1.0 0 bugs graph                      
pychef 1 bugs graph 1 4 3 3 1               fail
rome 0 bugs graph       1 2 1 1 1              
rubocop 0 bugs graph       3 1 1 2   fail          
ruby-ast 0 bugs graph       2 1 3 1   pass          
ruby-buff-extensions 0 bugs graph       2 1 3 1   pass          
ruby-buff-ignore 1 bugs graph 1 2 2 2 1   pass         fail
ruby-buff-ruby-engine 1 bugs graph 1 2 1 3 1   pass          
ruby-buff-shell-out 2 bugs graph 2 2 1 3 1   pass          
ruby-celluloid-io 0 bugs graph       2 1 5 2 buster/amd64:FTBFS   pass          
ruby-coveralls 1 bugs graph 1 3   pass          
ruby-docker-api 2 bugs graph 3 4 3 1 buster/arm64:depwait   pass         fail
ruby-fog-aws 0 bugs graph       2 5 1   pass          
ruby-jar-dependencies 0 bugs graph       3 1 2 3   pass          
ruby-json-spec 0 bugs graph       1 3 1 1   pass          
ruby-maven-libs 0 bugs graph       1 2 2 3 1   pass          
ruby-minitest-excludes 0 bugs graph       3 2 3 1   fail         fail
ruby-nio4r 1 bugs graph 1 2 2 4 1 buster/amd64:FTBFS buster/arm64:FTBFS buster/armhf:FTBFS   fail          
ruby-octokit 0 bugs graph       1 1   pass          
ruby-psych 1 bugs graph 1 1 1 1 buster/amd64:FTBFS buster/arm64:FTBFS buster/armhf:FTBFS              
ruby-ridley 0 bugs graph       1 3 1 1                
ruby-rubocop-rspec 0 bugs graph       1 1   fail          
ruby-sawyer 1 bugs graph 1 3 2 1   pass          
ruby-semverse 0 bugs graph       2 3 3 1   pass          
ruby-varia-model 0 bugs graph       2 2 2 1   pass          
ruby-whitequark-parser 0 bugs graph       4 1 2 3   pass          
ruby-wirble 1 bugs graph 3 4 3 1             fail
samizdat 0 bugs graph       1 3 6 5 1   fail         fail
spork 0 bugs graph                      
tomcat7 0 bugs graph               1 1    
truffle 1 bugs graph 3 2 3 1             fail
truffle-dsl-processor 1 bugs graph 3 2 3 1             fail
turpial 0 bugs graph                      
tweepy 2 bugs graph 1 3   neutral   1      
unsafe-fences 0 bugs graph       2 2 3 1              
unsafe-mock 0 bugs graph       1 2 1              
yecht 0 bugs graph       2 2 3 1 stretch2buster-rcmd            

Derivatives

source Ubuntu Debian
links bugs patches cosmic (stable) disco (devel) sid
jnr-ffi LP 2   2.1.7-1 
jruby LP 4   9.1.13.0-1 
maven-site-plugin LP 1   3.6-3 
ruby-buff-ruby-engine LP     1.0.0-0ubuntu1  1.0.0-0ubuntu1  0.1.0-2 
ruby-buff-shell-out LP     1.1.0-0ubuntu1  1.1.0-0ubuntu1  0.2.0-1 
ruby-nio4r LP     1.2.1-1build2  1.2.1-1 
ruby-psych LP     2.2.4-6build4  2.2.4-6build4
prop: 3.0.3~pre1-2 
3.0.3~pre1-2 
tomcat7 LP 29 2 7.0.78-1   
tweepy LP 1   3.5.0-1  3.6.0-1 

Packages without bugs, patches or a different version in a derivative are not listed.

Generated in 5.30 seconds.